﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.85
@EndOfDesignText@
#Region Shared Files
#CustomBuildAction: folders ready, %WINDIR%\System32\Robocopy.exe,"..\..\Shared Files" "..\Files"
'Ctrl + click to sync files: ide://run?file=%WINDIR%\System32\Robocopy.exe&args=..\..\Shared+Files&args=..\Files&FilesSync=True
#End Region

'Ctrl + click to export as zip: ide://run?File=%B4X%\Zipper.jar&Args=Project.zip

Sub Class_Globals
	Private Root As B4XView
	Private xui As XUI
	Private fx As JFX
	Public SQL1 As SQL
	Public SQLDataBasePath,SQLDateBaseName,sql As String
	Private Button1 As Button
	Private Button2 As Button
	Private Button3 As Button
	Private TextArea1 As TextArea
	Private TextField1 As TextField
	Private ComboBox1 As ComboBox
End Sub

Public Sub Initialize
	
End Sub

Private Sub B4XPage_Created (Root1 As B4XView)
	Root = Root1
	Root.LoadLayout("MainPage")
	xui.SetDataFolder("jtjz")
	SQLDataBasePath=xui.DefaultFolder
	SQLDateBaseName="jtjz.db"
	If File.Exists(SQLDataBasePath,SQLDateBaseName)=False Then
		File.Copy(File.DirAssets,SQLDateBaseName,SQLDataBasePath,SQLDateBaseName)
	End If
	Dim db As String=File.Combine(SQLDataBasePath,SQLDateBaseName)
	Dim db1 As String=db.Replace("\","/")
	SQL1.
	SQL1.Initialize("org.sqlite.JDBC",$"jdbc:sqlite:file:${db1}?cipher=sqlcipher&legacy=4&kdf_iter=256000&key=ZSLqxj_5678"$)
	Log("connected")
	'SQL1.InitializeSQLite(SQLDataBasePath,SQLDateBaseName,False)
	combobox_init
	If ComboBox1.Items.Size>0 Then
		ComboBox1_ValueChanged(0)
	End If
	TextArea1.WrapText=True
End Sub

Private Sub Button1_Click
	Dim bt As String=TextField1.Text.Trim
	Dim nr As String=TextArea1.Text
	check_text
	sql="select count(*) from hlp"	
	Dim co As Int=SQL1.ExecQuerySingleResult(sql)
	Dim xh As Int=co+1
	sql="insert into hlp(xh,bt,nr) values(?,?,?)"
	SQL1.ExecNonQuery2(sql,Array As Object(xh,bt,nr))
	xui.MsgboxAsync($"标题为：${bt}的帮助记录添加成功！"$,"提示信息")
	combobox_init
	ComboBox1.Value=xh
End Sub

Private Sub Button3_Click
	B4XPages.ClosePage(Me)
End Sub

Private Sub Button2_Click
	check_text
	Dim bt As String=TextField1.Text.Trim
	Dim nr As String=TextArea1.Text
	Dim xh As Int=ComboBox1.Value
	sql="update hlp set bt=?,nr=? where xh="&xh
	SQL1.ExecNonQuery2(sql,Array As String(bt,nr))
	xui.MsgboxAsync($"修改成功！"$,"提示信息")
End Sub

Private Sub check_text
	Dim bt As String=TextField1.Text.Trim
	Dim nr As String=TextArea1.Text
	If bt.Length=0 Then
		xui.MsgboxAsync("标题不能为空！","提示信息")
		TextField1.RequestFocus
		Return
	End If
	If nr.Length=0 Then
		xui.MsgboxAsync("帮助内容不能为空！","提示信息")
		TextArea1.RequestFocus
		Return
	End If
End Sub

Private Sub combobox_init
	ComboBox1.Items.Clear
	sql="select max(xh) from hlp order by xh"
	Dim co As Int=SQL1.ExecQuerySingleResult(sql)
	If co>0 Then
		For i=1 To co
			ComboBox1.Items.Add(i)
		Next
		ComboBox1.SelectedIndex=0
	End If	
End Sub

Private Sub ComboBox1_ValueChanged (Value As Object)
	sql="select bt,nr from hlp where xh="&Value
	Dim rs As ResultSet=SQL1.ExecQuery(sql)
	Do While rs.NextRow
		TextField1.Text=rs.GetString2(0)
		TextArea1.Text=rs.GetString2(1)
	Loop
	rs.Close
End Sub